import 'package:flutter/material.dart';
import 'package:vikunja_app/models/task.dart';
import 'package:vikunja_app/global.dart';

class ListProvider with ChangeNotifier {
  bool _isLoading = false;
  // TODO: Streams
  List<Task> _tasks = [];

  bool get isLoading => _isLoading;

  set tasks(List<Task> tasks) {
    _tasks = tasks;
    notifyListeners();
  }

  List<Task> get tasks => _tasks;

  void loadTasks({BuildContext context, int listId, int page = 1}) {
    _isLoading = true;
    notifyListeners();

    VikunjaGlobal.of(context).taskService.getAll(listId, {
      "sort_by": ["done", "id"],
      "order_by": ["asc", "desc"],
      "page": [page.toString()]
    }).then((tasks) {
      _tasks.addAll(tasks);
      _isLoading = false;
      notifyListeners();
    });
  }
}
